Subject: Re: [PATCH] git-reset --hard: tell the user what the HEAD was reset to

From: Andy Whitcroft <[email-masked]>
Date: Thu, 04 Jan 2007 15:59:44 +0000

Johannes Schindelin wrote:
> Hi,
> 
> On Wed, 3 Jan 2007, Andy Whitcroft wrote:
> 
>> I think we need to delimit the name better, probabally we need to quote
>> it.  Perhaps something like:
>>
>>   HEAD is now at ac9c110: "git-fetch: remove .keep file at the end".
> 
> Fine. But this is "git log --pretty=oneline --abbrev-commit". I don't know 
> how many things break if you change _that_.
> 
> Alternatively, you could pipe that into a sed command adding the colon and 
> the quotes.

Quack, so it is.

apw@pinky$ git log --pretty=oneline --abbrev-commit | head -1
f4bf218... Update clone/fetch documentation with --depth (shallow clone)
option

Perhaps we could do something like:

Head is now at "f4bf218... Update clone/fetch documentation with --depth
(shallow clone) option"

Hmmm ... oh well I guess I'll just get used to it.

-apw